Skip to main content
POST
Delete and generate new API key for project

Authorizations

x-org-api-key
string
header
default:your-organization-api-key
required

Your Composio organization API key for organization-scoped endpoints.

Path Parameters

nano_id
string<projectId>
required

Unique identifier (Nano ID) of the project to regenerate API key for

Example:

"pr_1a2b3c4d5e6f"

Response

API key regenerated successfully. Returns the new API key details.

api_key
object
required

The newly generated API key for this project

message
string
required

Success message

Example:

"API key regenerated successfully"